Bug 1293752 - [abrt] ghex: _gtk_widget_grab_notify(): ghex killed by SIGSEGV
[abrt] ghex: _gtk_widget_grab_notify(): ghex killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ghex (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dodji Seketeli
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ae3f714c4f478511af7ad7b9924...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-22 20:13 EST by James Legg
Modified: 2016-12-20 12:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:19:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (40.03 KB, text/plain)
2015-12-22 20:14 EST, James Legg
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-22 20:14 EST, James Legg
no flags Details
File: core_backtrace (15.53 KB, text/plain)
2015-12-22 20:14 EST, James Legg
no flags Details
File: dso_list (10.88 KB, text/plain)
2015-12-22 20:14 EST, James Legg
no flags Details
File: environ (1.88 KB, text/plain)
2015-12-22 20:14 EST, James Legg
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-22 20:14 EST, James Legg
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-22 20:14 EST, James Legg
no flags Details
File: maps (53.18 KB, text/plain)
2015-12-22 20:14 EST, James Legg
no flags Details
File: mountinfo (3.37 KB, text/plain)
2015-12-22 20:14 EST, James Legg
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-22 20:14 EST, James Legg
no flags Details
File: open_fds (1.06 KB, text/plain)
2015-12-22 20:14 EST, James Legg
no flags Details
File: proc_pid_status (1014 bytes, text/plain)
2015-12-22 20:14 EST, James Legg
no flags Details
File: var_log_messages (289 bytes, text/plain)
2015-12-22 20:14 EST, James Legg
no flags Details

  None (edit)
Description James Legg 2015-12-22 20:13:57 EST
Description of problem:
I reverted the open file after changing the document in ghex without saving and modifying the file externally. This infrequently appears to crash ghex.

Version-Release number of selected component:
ghex-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        ghex
crash_function: _gtk_widget_grab_notify
executable:     /usr/bin/ghex
global_pid:     23286
kernel:         4.2.7-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 _gtk_widget_grab_notify at gtkwidget.c:7953
 #5 gtk_grab_notify_foreach at gtkmain.c:2099
 #6 gtk_grid_forall at gtkgrid.c:556
 #7 gtk_grab_notify_foreach at gtkmain.c:2067
 #8 gtk_box_forall at gtkbox.c:2586
 #9 gtk_grab_notify_foreach at gtkmain.c:2067
 #10 gtk_box_forall at gtkbox.c:2586
 #11 gtk_grab_notify_foreach at gtkmain.c:2067
 #12 gtk_box_forall at gtkbox.c:2586
 #13 gtk_grab_notify_foreach at gtkmain.c:2067
Comment 1 James Legg 2015-12-22 20:14:02 EST
Created attachment 1108743 [details]
File: backtrace
Comment 2 James Legg 2015-12-22 20:14:04 EST
Created attachment 1108744 [details]
File: cgroup
Comment 3 James Legg 2015-12-22 20:14:05 EST
Created attachment 1108745 [details]
File: core_backtrace
Comment 4 James Legg 2015-12-22 20:14:07 EST
Created attachment 1108746 [details]
File: dso_list
Comment 5 James Legg 2015-12-22 20:14:08 EST
Created attachment 1108747 [details]
File: environ
Comment 6 James Legg 2015-12-22 20:14:10 EST
Created attachment 1108748 [details]
File: exploitable
Comment 7 James Legg 2015-12-22 20:14:11 EST
Created attachment 1108749 [details]
File: limits
Comment 8 James Legg 2015-12-22 20:14:13 EST
Created attachment 1108750 [details]
File: maps
Comment 9 James Legg 2015-12-22 20:14:15 EST
Created attachment 1108751 [details]
File: mountinfo
Comment 10 James Legg 2015-12-22 20:14:16 EST
Created attachment 1108752 [details]
File: namespaces
Comment 11 James Legg 2015-12-22 20:14:17 EST
Created attachment 1108753 [details]
File: open_fds
Comment 12 James Legg 2015-12-22 20:14:19 EST
Created attachment 1108754 [details]
File: proc_pid_status
Comment 13 James Legg 2015-12-22 20:14:20 EST
Created attachment 1108755 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 09:28:00 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 12:19:21 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.